Default configuration management

## Macros

#define | CLUTCHLOG_DEFAULT_DEPTH_BUILT_NODEBUG clutchlog::level::progress
| Default level over which calls to the logger are optimized out when NDEBUG is defined.

## Default configuration members

#define | CLUTCHLOG_DEFAULT_FORMAT "{level_letter} {msg}\t\t\t\t\t{func} @ {file}:{line}\n"
| Compile-time default format of the messages (debug mode: with absolute location).
#define | CLUTCHDUMP_DEFAULT_FORMAT "# {level} in {func} @ {file}:{line}"
| Compile-time default format of the comment line in file dump.
#define | CLUTCHDUMP_DEFAULT_SEP "\n"
| Compile-time default item separator for dump.
#define | CLUTCHLOG_DEFAULT_DEPTH_MARK ">"
| Compile-time default mark for stack depth.
#define | CLUTCHLOG_STRIP_CALLS 5
| Compile-time number of call stack levels to remove from depth display by default.
#define | CLUTCHLOG_HFILL_MARK '.'
| Character used as a filling for right-align the right part of messages with "{hfill}".

## Detailed Description